<div class="main-content-user">
    <div class="row">
        <div class="col col-sm-7">
        </div>
        <div class=" col-sm-5">
            <div class=" searchDiv mt-2">
                <form [formGroup]="searchUserForm" (ngSubmit)="getUserListing()">
                    <input type="text" class="searchInput" placeholder="Search by Email" formControlName="searchText">
                    <button type="submit" class="searchBtnInput btn btn-primary btn-sm">
                        <i class="fa fa-search"></i>
                    </button>
                </form>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <p-table [value]="userList" [style]="{'width':'100%'}"class="table table-sm table-striped tableList listRole" id="tableList">
                        <ng-template pTemplate="header" [style]="{'width':'800px'}">
                            <tr>
                                <th> Employee ID</th>
                                <th>Email</th>
                                <th> Username</th>
                                <th> Action</th>
                            </tr>
                        </ng-template>
                        <ng-template pTemplate="body" let-user>
                            <tr *ngIf="user ">
                                <td>{{user.employeeId }}</td>
                                <td>{{user.email }}</td>
                                <td>{{user.username}}
                                </td>
                                <td>
                                    <a pTooltip="Delete Coupon" tooltipPosition="top" 
                                        *ngIf="user.deleted == false" (click)="deleteUser(user)">
                                        <i class="fa fa-trash trsFont" aria-hidden="true"></i>
                                    </a>
                                </td>

                            </tr>
                        </ng-template>
                        <ng-template pTemplate="emptymessage">
                            <tr>
                                <td [attr.colspan]="4">
                                    No records found
                                </td>
                            </tr>
                        </ng-template>
                    </p-table>
                    <div *ngIf="userTotalCount > usercount">
                        <p-paginator alwaysShow='false' pageLinkSize="{{userCountLink}}" rows="{{usercount}}"
                            totalRecords="{{userTotalCount}}" (onPageChange)="paginates($event)"></p-paginator>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>